Subject: Re: bug#53280: 29.0.50; M-x recover-this-file's file list not informative

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Jan 2022 12:31:35 +0200

> From: Jean Louis <[email-masked]>
> Date: Sat, 15 Jan 2022 13:01:21 +0300
> 
> 
> When doing M-x recover-this-file, I am presented with list of files
> similarly like in Dired listing. If file is 465k and difference small
> with files, then I just see 2 files, one being "#file#" and other
> "file". That list presented as a choice for decision if to recover the
> file or not is not sufficiently informative. It gives me no information
> on why should I recover the file.
> 
> Something more informative would be if Emacs would tell me which file is
> larger.

I don't understand: the Dired-like display does include the sizes of
both files.  It also shows the dates, which could be no less important
factor for making the decision.

> Even better would be if I could be represented an option to quickly see
> the difference between the files.

I agree; patches to that effect are welcome.